using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Ch14_NoRun
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Form1 form = new Form1();
            DialogResult result = MessageBox.Show("Yes: Run(form);\nNo: form.Show;Run\nCancel: form.Show", 
                                "Application Run", 
                                MessageBoxButtons.YesNoCancel);
            if ( result == DialogResult.Yes)
            {
                Application.Run(form);
            }
            else if (result == DialogResult.No)
            {
                form.Show();
                Application.Run();
            }
            else
            {
                form.Show();
                MessageBox.Show("When this closes, so will the application");
            }
        }
    }
}